Subject: bug#32226: shadowfile test failures

From: Michael Albinus <[email-masked]>
Date: Mon, 23 Jul 2018 18:18:14 +0200

Eli Zaretskii <[email-masked]> writes:

Hi Eli,

> I ran that in batch mode.  It ran for a while, and then seemed to
> hang.  I interrupted it; what ended up in the log file is attached.
>
> Let me know how can I assist you in debugging this.
>
> Running 10 tests (2018-07-23 18:52:28+0300)
>    passed   1/10  shadow-test00-clusters

Well, at least the (executable-find "sh") trick does it. The tests
run. So I will apply it to the three test files I've mentioned
earlier. Emacs-26 or master branch?

>       (equal
>        (tramp-file-name "cluster" nil nil "c" nil "/DOCUME~1/Zaretzky/LOCALS~1/Temp/shadowfile-testsSe3Hgz" nil)
>        (tramp-file-name nil nil nil "HOME-C4E4A596F7" nil "c:/DOCUME~1/Zaretzky/LOCALS~1/Temp/shadowfile-testsSe3Hgz" nil))

Obviously an error I need to fix. I'm wondering, whether shadowfile.el
has run ever on MS Windows. I bed, the same error would happen with the
old implementation.

Thanks for testing.

Best regards, Michael.